| CAEN FERS Library v1.1.4 SDK for FERS systems

Data Fields
XR_Cfg_t Struct Reference

`#include <FERS_Registers_520X.h>`

Collaboration diagram for XR_Cfg_t:

## Data Fields
struct {
uint8_t r0_inDAC
uint8_t r1_pat_Gain_Comp
uint8_t r2_LG_HG_Gain
uint8_t r3_LG_HG_Tau
uint8_t r4_calibDacT1
uint8_t r5_calibDacT2
uint8_t r6_EnMask1
uint8_t r7_EnMask2
uint8_t r66_ProbeSwitchCmd
} | ChControl [64]
struct {
uint8_t r0_inDAC0
uint8_t r1_inDAC1
uint8_t r2_calDAC_paT
uint8_t r3_pa_LG_HG
uint8_t r4_sh_HG
uint8_t r5_sh_LG
uint8_t r6_pdbuff_pdetect
uint8_t r7_FCNpdet_FCPpdet
uint8_t r8_FCNpbuf_FCPpbuf
uint8_t r9_dis1a
uint8_t r10_dis1b_dis2a
uint8_t r11_dis2b
uint8_t r12_dis_charge
uint8_t r13_EnMask1
uint8_t r14_EnMask2
} | ASICBias
struct {
uint8_t r0_BandGap
uint8_t r1_DAC1a
uint8_t r2_DAC1b_DAC2a
uint8_t r3_DAC2b_DACqa
uint8_t r4_DACqb
uint8_t r5_Ib_thrDac
uint8_t r6_Ib_thrDac
uint8_t r7_EnMask
uint8_t r8_delay
uint8_t r9_
uint8_t r10_
uint8_t r11_
uint8_t r12_
uint8_t r66_
} | Common
struct {
uint8_t r0_BandGap
uint8_t r1_DAC1a
uint8_t r2_DAC1b_DAC2a
uint8_t r3_DAC2b_DACqa
uint8_t r4_DACqb
uint8_t r5_Ib_thrDac
uint8_t r6_Ib_thrDac
uint8_t r7_EnMask
uint8_t r8_delay
uint8_t r9_
uint8_t r10_
uint8_t r11_
uint8_t r12_
uint8_t r66_
} | Outing

## Detailed Description

Definition at line 284 of file FERS_Registers_520X.h.

## Field Documentation

## ◆ r0_inDAC

uint8_t r0_inDAC

Definition at line 286 of file FERS_Registers_520X.h.

## ◆ r1_pat_Gain_Comp

uint8_t r1_pat_Gain_Comp

Definition at line 287 of file FERS_Registers_520X.h.

## ◆ r2_LG_HG_Gain

uint8_t r2_LG_HG_Gain

Definition at line 288 of file FERS_Registers_520X.h.

## ◆ r3_LG_HG_Tau

uint8_t r3_LG_HG_Tau

Definition at line 289 of file FERS_Registers_520X.h.

## ◆ r4_calibDacT1

uint8_t r4_calibDacT1

Definition at line 290 of file FERS_Registers_520X.h.

## ◆ r5_calibDacT2

uint8_t r5_calibDacT2

Definition at line 291 of file FERS_Registers_520X.h.

## ◆ r6_EnMask1

uint8_t r6_EnMask1

Definition at line 292 of file FERS_Registers_520X.h.

## ◆ r7_EnMask2

uint8_t r7_EnMask2

Definition at line 293 of file FERS_Registers_520X.h.

## ◆ r66_ProbeSwitchCmd

uint8_t r66_ProbeSwitchCmd

Definition at line 294 of file FERS_Registers_520X.h.

## ◆

struct { ... } ChControl[64]

## ◆ r0_inDAC0

uint8_t r0_inDAC0

Definition at line 297 of file FERS_Registers_520X.h.

## ◆ r1_inDAC1

uint8_t r1_inDAC1

Definition at line 298 of file FERS_Registers_520X.h.

## ◆ r2_calDAC_paT

uint8_t r2_calDAC_paT

Definition at line 299 of file FERS_Registers_520X.h.

## ◆ r3_pa_LG_HG

uint8_t r3_pa_LG_HG

Definition at line 300 of file FERS_Registers_520X.h.

## ◆ r4_sh_HG

uint8_t r4_sh_HG

Definition at line 301 of file FERS_Registers_520X.h.

## ◆ r5_sh_LG

uint8_t r5_sh_LG

Definition at line 302 of file FERS_Registers_520X.h.

## ◆ r6_pdbuff_pdetect

uint8_t r6_pdbuff_pdetect

Definition at line 303 of file FERS_Registers_520X.h.

## ◆ r7_FCNpdet_FCPpdet

uint8_t r7_FCNpdet_FCPpdet

Definition at line 304 of file FERS_Registers_520X.h.

## ◆ r8_FCNpbuf_FCPpbuf

uint8_t r8_FCNpbuf_FCPpbuf

Definition at line 305 of file FERS_Registers_520X.h.

## ◆ r9_dis1a

uint8_t r9_dis1a

Definition at line 306 of file FERS_Registers_520X.h.

## ◆ r10_dis1b_dis2a

uint8_t r10_dis1b_dis2a

Definition at line 307 of file FERS_Registers_520X.h.

## ◆ r11_dis2b

uint8_t r11_dis2b

Definition at line 308 of file FERS_Registers_520X.h.

## ◆ r12_dis_charge

uint8_t r12_dis_charge

Definition at line 309 of file FERS_Registers_520X.h.

## ◆ r13_EnMask1

uint8_t r13_EnMask1

Definition at line 310 of file FERS_Registers_520X.h.

## ◆ r14_EnMask2

uint8_t r14_EnMask2

Definition at line 311 of file FERS_Registers_520X.h.

## ◆

struct { ... } ASICBias

## ◆ r0_BandGap

uint8_t r0_BandGap

Definition at line 314 of file FERS_Registers_520X.h.

## ◆ r1_DAC1a

uint8_t r1_DAC1a

Definition at line 315 of file FERS_Registers_520X.h.

## ◆ r2_DAC1b_DAC2a

uint8_t r2_DAC1b_DAC2a

Definition at line 316 of file FERS_Registers_520X.h.

## ◆ r3_DAC2b_DACqa

uint8_t r3_DAC2b_DACqa

Definition at line 317 of file FERS_Registers_520X.h.

## ◆ r4_DACqb

uint8_t r4_DACqb

Definition at line 318 of file FERS_Registers_520X.h.

## ◆ r5_Ib_thrDac

uint8_t r5_Ib_thrDac

Definition at line 319 of file FERS_Registers_520X.h.

## ◆ r6_Ib_thrDac

uint8_t r6_Ib_thrDac

Definition at line 320 of file FERS_Registers_520X.h.

## ◆ r7_EnMask

uint8_t r7_EnMask

Definition at line 321 of file FERS_Registers_520X.h.

## ◆ r8_delay

uint8_t r8_delay

Definition at line 322 of file FERS_Registers_520X.h.

## ◆ r9_

uint8_t r9_

Definition at line 323 of file FERS_Registers_520X.h.

## ◆ r10_

uint8_t r10_

Definition at line 324 of file FERS_Registers_520X.h.

## ◆ r11_

uint8_t r11_

Definition at line 325 of file FERS_Registers_520X.h.

## ◆ r12_

uint8_t r12_

Definition at line 326 of file FERS_Registers_520X.h.

## ◆ r66_

uint8_t r66_

Definition at line 327 of file FERS_Registers_520X.h.

## ◆

struct { ... } Common

## ◆

struct { ... } Outing

The documentation for this struct was generated from the following file:

- FERS_Registers_520X.h